/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server -i server.h -i configurationstype.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * This file may have been hand-edited. Look for HAND-EDIT comments
 * before re-generating it.
 */

#ifndef ADAPTOR_H_1600719512
#define ADAPTOR_H_1600719512

#include <QtCore/QObject>
#include <QtDBus/QtDBus>
#include "server.h"
#include "configurationstype.h"
class QByteArray;
template<class T> class QList;
template<class Key, class Value> class QMap;
class QString;
class QStringList;
class QVariant;

/*
 * Adaptor class for interface org.bluez.mesh.Network1
 */
class Network1Adaptor: public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.bluez.mesh.Network1");
    Q_CLASSINFO("D-Bus Introspection", ""
"  <interface name=\"org.bluez.mesh.Network1\">\n"
"    <method name=\"Join\">\n"
"      <arg direction=\"in\" type=\"o\" name=\"app_root\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"uuid\"/>\n"
"    </method>\n"
"    <method name=\"Cancel\"/>\n"
"    <method name=\"Attach\">\n"
"      <arg direction=\"in\" type=\"o\" name=\"app_root\"/>\n"
"      <arg direction=\"in\" type=\"t\" name=\"token\"/>\n"
"      <arg direction=\"out\" type=\"o\" name=\"node\"/>\n"
"      <arg direction=\"out\" type=\"a(ya(qa{sv}))\" name=\"configuration\"/>\n"
"      <annotation value=\"Oscl::Qt::DBus::BlueZ::Mesh::Network1::ConfigurationsType\" name=\"org.qtproject.QtDBus.QtTypeName.Out1\"/>\n"
"      <!--\n"
"      <arg name=\"result\" type=\"oa(ya(qa{sv}))\" direction=\"out\"/>\n"
"      <annotation name=\"org.qtproject.QtDBus.QtTypeName.Out\" value=\"Oscl::Qt::DBus::BlueZ::Mesh::Network1::AttachReturnType\"/>\n"
"      <arg name=\"result\" type=\"oa(ya(qa{sv}))\" direction=\"out\"/>\n"
"      <annotation name=\"org.qtproject.QtDBus.QtTypeName.Out\" value=\"Oscl::Qt::DBus::BlueZ::Mesh::Network1::AttachReturnType\"/>\n"
"	-->\n"
"    </method>\n"
"    <method name=\"Leave\">\n"
"      <arg direction=\"in\" type=\"t\" name=\"token\"/>\n"
"    </method>\n"
"    <method name=\"CreateNetwork\">\n"
"      <arg direction=\"in\" type=\"o\" name=\"app_root\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"uuid\"/>\n"
"    </method>\n"
"    <method name=\"Import\">\n"
"      <arg direction=\"in\" type=\"o\" name=\"app_root\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"uuid\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"dev_key\"/>\n"
"      <arg direction=\"in\" type=\"ay\" name=\"net_key\"/>\n"
"      <arg direction=\"in\" type=\"q\" name=\"net_index\"/>\n"
"      <arg direction=\"in\" type=\"a{sv}\" name=\"flags\"/>\n"
"      <arg direction=\"in\" type=\"u\" name=\"iv_index\"/>\n"
"      <arg direction=\"in\" type=\"q\" name=\"unicast\"/>\n"
"      <annotation value=\"QVariantMap\" name=\"org.qtproject.QtDBus.QtTypeName.In5\"/>\n"
"    </method>\n"
"  </interface>\n"
        "");

public:
    Network1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server *parent);
    virtual ~Network1Adaptor();

    inline Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server *parent() const
    { return static_cast<Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server *>(QObject::parent()); }

public: // PROPERTIES
public Q_SLOTS: // METHODS
    QDBusObjectPath Attach(const QDBusObjectPath &app_root, qulonglong token, Oscl::Qt::DBus::BlueZ::Mesh::Network1::ConfigurationsType &configuration);
    void Cancel();
    void CreateNetwork(const QDBusObjectPath &app_root, const QByteArray &uuid);
    void Import(const QDBusObjectPath &app_root, const QByteArray &uuid, const QByteArray &dev_key, const QByteArray &net_key, ushort net_index, const QVariantMap &flags, uint iv_index, ushort unicast);
    void Join(const QDBusObjectPath &app_root, const QByteArray &uuid);
    void Leave(qulonglong token);
Q_SIGNALS: // SIGNALS
};

#endif
